Package Details: frozensynapse 1.0.32+h20120614-1

Git Clone URL: https://aur.archlinux.org/frozensynapse.git (read-only)
Package Base: frozensynapse
Description: A top-down simultaneous-turn-based tactical combat game (Humble Bundle version)
Upstream URL: http://www.frozensynapse.com/
Keywords: 2D combat game humble tactics
Licenses: custom: "commercial"
Submitter: flow
Maintainer: smls
Last Packager: smls
Votes: 22
Popularity: 0.000000
First Submitted: 2011-09-28 20:38
Last Updated: 2015-07-09 14:40

Required by (0)

Sources (2)

Latest Comments

smls commented on 2013-06-18 22:31

Adopted, tweaked, cleaned up, and migrated to the hib:// dlagent scheme.
Enjoy! :)

Enverex commented on 2013-05-03 08:59

This has the icon in the .desktop file listed as "Icon=/opt/frozensynapse/frozensynapse.png" but that file doesn't exist, it should be fs_icon.png instead of frozensynapse.png.

jose1711 commented on 2012-06-19 15:14

or like this:
if ! echo 'd41d8cd98f00b204e9800998ecf8427e foo.file' | md5sum -c --quiet >/dev/null 2>&1; then ..; fi

jose1711 commented on 2012-06-19 15:10

it's because md5sum uses stdout even with --quiet.

$ ls -l foo.file
ls: cannot access foo.file: No such file or directory
$ echo 'bcbfce04bd280b69bddea7a4bef0864a foo.file' | md5sum -c --quiet 2>/dev/null
foo.file: FAILED open or read
$ [ ! foo.file: FAILED open or read ] && echo "ok"
bash: [: too many arguments

i think your test condition is invalid anyway. you may want to use something like this instead:
echo 'd41d8cd98f00b204e9800998ecf8427e foo.file' | md5sum -c --quiet >/dev/null 2>&1
if [ $? -ne 0 ]; then ... fi

gadget3000 commented on 2012-06-18 17:41

I couldn't figure out why that error was coming up but it still works. Let me know if you can figure out why it's complaining.
I didn't know you could still download it from their website if you bought it from HB. What is everyone's thoughts on removing HB support from the PKGBUILD then? I don't want to do it if people still want it.

sakaru commented on 2012-06-18 17:37

Ah, great, thanks.
I did get a minor error:
/tmp/packerbuild-1000/frozensynapse/frozensynapse/PKGBUILD: line 57: [: too many arguments

I would suggest totally dropping Humble Bundle support here. If people use HB they'll get an out of date version. Perhaps instead you can direct people to http://www.mode7games.com/support/getURL.php where you can get the up to date download link, even if you bought it via HB, but requires you have an account on the game. I don't know what others think about HB support.

gadget3000 commented on 2012-06-18 13:59

@sakaru I actually never got your email! Because some people only have the humble bundle version I'll merge the two PKGBUILDs and update the package later. Sorry for the lateness everyone!

sakaru commented on 2012-06-18 13:25

gadget3000: Some weeks ago I emailed you an updated PKGBUILD. I'll link it here too, if there's no response in a while I'll email the mailing list to adopt the package. My PKGBUILD doesn't download from Humble Bundle, since their package is out of date, instead it relies on the user following the developer's download link. You can find the tgz here: http://ompldr.org/iZWR1Yw

grine commented on 2012-05-26 10:20

When I try to login it tels me a newer version is available.

Anonymous comment on 2012-04-17 20:29

It did give this error though. Didn't prevent it from installing & working.

==> Starting package()...
ERROR: ld.so: object 'libfakeroot.so' from LD_PRELOAD cannot be preloaded: ignored.

Anonymous comment on 2012-04-17 20:28

Capes pkgbuild didn't go trough without problems for me.

I made following corrections
- removed double fi's
- removed space in build() {
- upped pkgrel to 6
- renamed archive

If anyone is interested, my version can be found from here: http://pastebin.com/sdhMdtD0

jose1711 commented on 2012-04-14 21:26

@Cape:
- why not renaming the archive to FS_Linux_Latest.run (and have it downloaded directly - apparently downloading from hib is not necessary anymore)
- there are two superfluous if's in your pkgbuild
- thank you for the effort - it's working fine

Cape commented on 2012-03-29 12:00

@sighter
Well, it's really just a dirty dirty hack but...:

pkgname=frozensynapse
pkgver=1
pkgrel=5
pkgdesc="A single player and multiplayer simultaneous-turn-based tactical game. (The Humble Frozen Synapse Bundle)"
url="http://www.frozensynapse.com/"
groups=('humblefsbundle' 'humblebundles')
license=('custom: "commercial"')
arch=('i686' 'x86_64')
optdepends=('lib32-nvidia-utils: If you have nvidia graphics'
'lib32-catalyst-utils: If you have ATI graphics'
'lib32-ati-dri: If you have ATI graphics')
source=(${pkgname}.desktop)
md5sums=('eccdc9f63917fdb761d45c5621853485')

if [[ $CARCH == x86_64 ]]; then
depends=('lib32-glibc' 'lib32-gcc-libs' 'lib32-openal' 'lib32-sdl' 'lib32-mesa')
else
depends=('glibc' 'gcc-libs' 'openal' 'sdl' 'mesa')
fi

_archive="${pkgname}-${pkgver}-linux-bin"
_archive_md5="33b7c96e24be877a9c1345f7a016b57b"

build() {
cd ${srcdir}
echo Please just place ${_archive} into $(pwd)/
echo Press Enter to continue
read -a _unused
fi
fi

if [ ! -f ${_fsarchivelocation}${_archive} ]; then
echo "${_fsarchivelocation}${_archive} not found!"
return 1
fi

if ! echo "${_archive_md5} ${_fsarchivelocation}${_archive}" | md5sum -c --quiet; then
echo "Invalid checksum for ${_fsarchivelocation}${_archive}"
return 1
fi
}

package(){

# directories
install -d ${pkgdir}/opt/${pkgname}
cd ${srcdir}
./${_archive} --mode unattended --prefix /$pkgdir/opt/$pkgname/

#fix permissions
find ${pkgdir}/opt/${pkgname} -type d -exec chmod 755 {} \;
find ${pkgdir}/opt/${pkgname} -type f -exec chmod 644 {} \;
chmod 755 ${pkgdir}/opt/${pkgname}/FrozenSynapse

# startup scripts
install -Dd ${pkgdir}/usr/bin
echo \#\!/bin/bash > ${pkgdir}/usr/bin/frozensynapse
echo cd /opt/frozensynapse/ >> ${pkgdir}/usr/bin/frozensynapse
echo ./FrozenSynapse \$@ >> ${pkgdir}/usr/bin/frozensynapse
chmod +x ${pkgdir}/usr/bin/frozensynapse

# desktop entry
install -Dm644 ${srcdir}/${pkgname}.desktop ${pkgdir}/usr/share/applications/${pkgname}.desktop
}

sighter commented on 2012-03-28 16:10

@Cape
Can you please post the complete PKGBUILD which works with the mentioned binary?

thx mate

Cape commented on 2012-03-08 17:31

There is a new update available at: http://www.mode7games.com/update

However, it comes with an installer. I've managed to make it work with makepkg with the following script:
./${_archive} --mode unattended --prefix /$pkgdir/opt/$pkgname/

Also, this version comes with no libraries.

Anonymous comment on 2012-02-06 00:35

This game gave segmentation fault on start on my x86_64 machine with AMD 6970 and radeon driver.
Installed lib32-ati-dri , now works.

gadget3000 commented on 2011-12-12 09:59

@swiftgeek You are supposed to set PKGEXT yourself in /etc/makepkg.conf. It doesn't get set in PKGBUILDs.

swiftgeek commented on 2011-12-12 08:23

Please disable compression of the package in the next release...
PKGEXT='.pkg.tar'

flow commented on 2011-10-03 09:06

Updated:
add depend mesa and lib32-mesa
add optdepends (lib32-nvidia-utils and lib32-catalyst-utils)

Anonymous comment on 2011-10-03 01:43

I'm on x86_64, and I had a bit of trouble getting this working. At first, I was getting this error:

Alert: Error Unable to initialize OpenGL. (Error: Failed loading libGL.so.1)

On a whim, I installed lib32-mesa, which seemed to fix that problem. However, I started getting this error instead:

Alert: Error Could not find a compatible OpenGL display resolution. Please check your driver configuration. (Error: Couldn't find matching GLX visual)

Finally, I found a suggestion from DreDub on the Frozen Synapse forums (http://forums.mode7games.com/viewtopic.php?f=21&t=3626&p=14276) to try installing lib32-nvidia-utils. After doing so, the game started.

flow commented on 2011-09-29 07:00

@Max-P and gadgat3000, Thanks you.

Max-P commented on 2011-09-29 01:21

The tip proposed by gadget3000 is not implemented correctly (order of unzip arguments is not correct, it seems to need the file to unzip as the first argument)

unzip -x guis/* meta/* scripts/* -d ${_gamepkg} || true

should become

unzip "../${_gamepkg}" -x "guis/*" "meta/*" "scripts/*" || true

Don't know if the quotes are required, but I added them too to avoid the shell to expand them. The important part is that the file is moved to the first argument, fixing the unzip problem.


Also, thanks for the really quickly made PKGBUILD, game works fine! ^^

gadget3000 commented on 2011-09-28 20:49

Aww you beat me to it :P
From past experience should remove the included library files to prevent segfaults ('rm -rf ${pkgdir}/opt/frozensynapse/{libgcc_s.so.1,libopenal.so,libSDL-1.2.so.0,libstdc++.so.6}') then add the relevant dependencies. You don't need mesa as a dependency and the 'guis', 'meta' and 'scripts' directories are all junk from the installer. You can prevent these from being unzipped by giving '-x guis/* meta/* scripts/*' to unzip.